Skip to main content
POST
/
v1
/
workspaces
/
{workspaceId}
/
locations
/
{locationId}
/
hours
Replace Operating Hours
curl --request POST \
  --url https://api.selcor.ai/v1/workspaces/{workspaceId}/locations/{locationId}/hours \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hours": [
    {
      "day_of_week": 3,
      "start_time": "<string>",
      "end_time": "<string>",
      "is_active": true
    }
  ]
}
'
{
  "data": [
    {
      "id": "<string>",
      "day_of_week": 123,
      "start_time": "<string>",
      "end_time": "<string>",
      "is_active": true
    }
  ],
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key in format: sk_live_...

Body

application/json
hours
object[]
required
Required array length: 1 - 14 elements

Response

200 - application/json

Updated operating hours

data
object[]
required
request_id
string
required